package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 会员有效状态
 */
@AllArgsConstructor
@Getter
public enum EExpireStatus {

    /**
     * 有效期
     */
    EXPIRE(1, "有效期"),

    /**
     * 休止期
     */
    REST(2, "休止期"),

    /**
     * 已终止
     */
    TERMINATED(3, "已终止"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    /**
     * 根据值，获取枚举
     *
     * @param val
     * @return
     */
    public static EExpireStatus getEnumByValue(int val) {
        for (EExpireStatus value : EExpireStatus.values()) {
            if (value.getValue() == val) {
                return value;
            }
        }
        return null;
    }

}
